#! /usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

NJOBS :=
USE_CPUS := 1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
    USE_CPUS := 1
    NJOBS := -j $(USE_CPUS)
    export EIGEN_MAKE_ARGS=-j$(USE_CPUS)
endif

# If SALSABUILD is set we want to drop debug info as well
ifneq ($(SALSABUILD),)
  export DEB_CXXFLAGS_MAINT_APPEND += -g0
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

sse_archs = amd64 i386 kfreebsd-amd64 kfreebsd-i386

extra_flags += -DDART_TESTING_TIMEOUT=300

ifneq (,$(filter $(DEB_HOST_ARCH),$(sse_archs)))
	extra_flags += \
		-DEIGEN_TEST_SSE2=ON \
		-DEIGEN_TEST_SSE3=ON
endif
	
override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(BUILDDIR); $(MAKE) buildtests $(NJOBS)
	dh_auto_test ARGS=-VV || true
endif

override_dh_auto_build-indep:
	cd $(BUILDDIR) && $(MAKE) doc $(NJOBS)
	cd $(BUILDDIR) && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn.mathjax.org\/mathjax\/latest\/MathJax.js/\/usr\/share\/javascript\/mathjax\/MathJax.js/g'
	rm -f $(BUILDDIR)/doc/html/unsupported/installdox
